## galapi
Class Node

    java.lang.Object
      galapi.Item
          galapi.Node

Direct Known Subclasses:
  Attribute, Comment, Document, Element, ProcessingInstruction, Text

public class Node
extends Item

A `Node` is an `Item` representing an XML node in the XQuery data model. A `Node` has a string value of type `xsString`and a typed value which can be retrieved by calling the method `typedValue`. The `name` of a node is of type `xsQName```

See Also:
  `Item`, `Element`, `Attribute`

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`protected` `Node()`
`protected` `Node(int native_item)`

Method Summary
`AttributeList` `attributes()` Get the list of attributes of the node.
`AtomicList` `baseURI()` Get the URI associated with the document if there is one.
`NodeList` `children()` Get the list of node children.
`protected static int` `nativeAttributes(int n)`
`protected static int` `nativeBaseURI(int n)`
`protected static int` `nativeChildren(int n)`
`protected static java.lang.String` `nativeNodeKind(int n)`
`protected static int` `nativeNodeName(int n)`
`protected static int` `nativeParent(int n)`
`protected static int` `nativeTypedValue(int n)`
`java.lang.String` `nodeKind()`
`AtomicList` `nodeName()`
`NodeList` `parent()` Get the parent of the node
`AtomicList` `typedValue()` It returns the typed value of a `Node`.

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Node

    protected Node()

### Node

    protected Node(int native_item)

Method Detail

### parent

    public NodeList parent()
                    throws GalapiException

  Get the parent of the node

  Throws:
    `GalapiException`

### children

    public NodeList children()
                      throws GalapiException

  Get the list of node children.

  Throws:
    `GalapiException`

### baseURI

    public AtomicList baseURI()
                       throws GalapiException

  Get the URI associated with the document if there is one.

  Throws:
    `GalapiException`

### nodeName

    public AtomicList nodeName()
                        throws GalapiException

  Throws:
    `GalapiException`

### nodeKind

    public java.lang.String nodeKind()
                              throws GalapiException

  Throws:
    `GalapiException`

### typedValue

    public AtomicList typedValue()
                          throws GalapiException

  It returns the typed value of a `Node`. A `Node` also has a string representation of its value.

  Throws:
    `GalapiException`

### attributes

    public AttributeList attributes()
                             throws GalapiException

  Get the list of attributes of the node.

  Throws:
    `GalapiException`

### nativeParent

    protected static int nativeParent(int n)

### nativeChildren

    protected static int nativeChildren(int n)

### nativeBaseURI

    protected static int nativeBaseURI(int n)

### nativeNodeName

    protected static int nativeNodeName(int n)

### nativeNodeKind

    protected static java.lang.String nativeNodeKind(int n)

### nativeTypedValue

    protected static int nativeTypedValue(int n)

### nativeAttributes

    protected static int nativeAttributes(int n)